import { AfterViewInit, OnInit, Renderer2, ElementRef, OnDestroy, OnChanges, SimpleChanges, NgZone } from '@angular/core';
import { NgxValidationRunnerService } from './service/ngx-validation-runner.service';
import { NgModel } from '@angular/forms';
export declare class NgxMatRequiredDirective implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    private validationService;
    private elementRef;
    private ngZone;
    private renderer2;
    private ngModel;
    private _window;
    validateProperty: any;
    model: any;
    policy: string;
    parentNodeName: string;
    depthOfParentNode: number;
    isInput: boolean;
    isCheckbox: boolean;
    isRadioButton: boolean;
    private ngModelValueChangesSubscription;
    constructor(validationService: NgxValidationRunnerService, elementRef: ElementRef, ngZone: NgZone, renderer2: Renderer2, ngModel: NgModel, _window: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    testMatElementType(): void;
    addAsteriskToMatControl: (errorMsg: string) => void;
    addAsteriskToSpanElement: (spanRequiredContainer: any, inputSpanElement: any, errorMsg: string) => void;
}
